Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class BufferDataSource

    java.lang.Object
      javax.media.protocol.DataSource
          javax.media.protocol.PullBufferDataSource
              uchicago.src.sim.gui.BufferDataSource

All Implemented Interfaces:
  javax.media.Controls, javax.media.Duration

    public class BufferDataSource

extends javax.media.protocol.PullBufferDataSource

A DataSource for turning JMF Buffers into movies. See the Java Media Framework documentation for details.

Version:
  $Revision: 1.3 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier

Field Summary

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Constructor Summary
`BufferDataSource(int width, int height, int frameRate, javax.media.format.RGBFormat format)`

Method Summary
`void` | `addBuffer(javax.media.Buffer buf)`
`void` | `cleanUp()`
`void` | `connect()`
`void` | `disconnect()`
`java.lang.String` | `getContentType()`
`java.lang.Object` | `getControl(java.lang.String type)`
`java.lang.Object[]` | `getControls()`
`javax.media.Time` | `getDuration()`
`javax.media.MediaLocator` | `getLocator()`
`javax.media.protocol.PullBufferStream[]` | `getStreams()`
`void` | `setLocator(javax.media.MediaLocator source)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class javax.media.protocol.DataSource
`initCheck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferDataSource

    public BufferDataSource(int width,
                            int height,
                            int frameRate,
                            javax.media.format.RGBFormat format)

Method Detail

### addBuffer

    public void addBuffer(javax.media.Buffer buf)

### cleanUp

    public void cleanUp()

### setLocator

    public void setLocator(javax.media.MediaLocator source)

  Overrides:
    `setLocator` in class `javax.media.protocol.DataSource`

### getLocator

    public javax.media.MediaLocator getLocator()

  Overrides:
    `getLocator` in class `javax.media.protocol.DataSource`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in class `javax.media.protocol.DataSource`

### connect

    public void connect()

  Specified by:
    `connect` in class `javax.media.protocol.DataSource`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in class `javax.media.protocol.DataSource`

### start

    public void start()

  Specified by:
    `start` in class `javax.media.protocol.DataSource`

### stop

    public void stop()

  Specified by:
    `stop` in class `javax.media.protocol.DataSource`

### getStreams

    public javax.media.protocol.PullBufferStream[] getStreams()

  Specified by:
    `getStreams` in class `javax.media.protocol.PullBufferDataSource`

### getDuration

    public javax.media.Time getDuration()

  Specified by:
    `getDuration` in interface `javax.media.Duration`
  Specified by:
    `getDuration` in class `javax.media.protocol.DataSource`

### getControls

    public java.lang.Object[] getControls()

  Specified by:
    `getControls` in interface `javax.media.Controls`
  Specified by:
    `getControls` in class `javax.media.protocol.DataSource`

### getControl

    public java.lang.Object getControl(java.lang.String type)

  Specified by:
    `getControl` in interface `javax.media.Controls`
  Specified by:
    `getControl` in class `javax.media.protocol.DataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD